cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Huib Verweij <Huib.Ver...@mpi.nl>
Subject Re: ValidationReportTransformer in 2.2?
Date Thu, 03 Mar 2011 13:24:10 GMT
Hi Myles,

Op 3 mrt 2011, om 12:55 heeft Myles Byrne het volgende geschreven:

> Huib, I have to follow up your solution to my problem:
> 
> your solution to call, 
> 
>     <dependency>
> >             <groupId>org.apache.cocoon</groupId>
> >             <artifactId>cocoon-validation-impl</artifactId>
> >             <version>1.0.0-SNAPSHOT</version>
> >         </dependency>
> 
> .. worked fine for a few days, and over a number of builds. Then suddenly maven said
it could not locate the validation impl snapshot. The validation impl is in my local repo
@ ~/.m2, but it is still not building. I have been trying different repos, editing maven's
settings.xml file, flushing the local repo, but to no avail. 
> 
> Are you pulling the dependency from the default repo, http://repo2.maven.org/maven2/?
> Do you specify another repo for it anywhere?

A strange situation, it worked, now it doesn't work anymore. What changed? Is validation-impl
the only jar that can't be found? Sounds like a maven/dependency-thing to me.

What I did was download the cocoon source code and use the build.sh script to install it into
the local maven repo - "./build.sh install" like it says in the README. It did take some tweaking
to get that to successfully complete unfortunately, it didn't work "out-of-the-box" for me.
But once that hurdle had been taken, the validation-impl jar could be found. 
 
Hartelijke groet,

Huib.
--
Drs. Huib Verweij
Senior software developer - The Language Archive
Max Planck Institute for Psycholinguistics
P.O. Box 310
6500 AH Nijmegen
The Netherlands
t +31-24-3521911
e huib.verwey@mpi.nl
w http://www.mpi.nl/


Mime
View raw message